# $Revision: 1.31 $, $Date: 2012/01/28 17:24:45 $
#
# Conditional build:
%bcond_without	x	# without X11
#
Summary:	GIF-manipulation library
Summary(es.UTF-8):	Biblioteca de manipulación de archivos GIF
Summary(pl.UTF-8):	Biblioteka do obróbki plików GIF
Summary(pt_BR.UTF-8):	Biblioteca de manipulação de arquivos GIF
Summary(ru.UTF-8):	Библиотека для работы с GIF-файлами
Summary(uk.UTF-8):	Бібліотека для роботи з GIF-файлами
Name:		giflib
Version:	4.1.6
Release:	3
License:	X Consortium-like
Group:		Libraries
Source0:	http://dl.sourceforge.net/giflib/%{name}-%{version}.tar.bz2
# Source0-md5:	7125644155ae6ad33dbc9fc15a14735f
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/libungif-man-pages.tar.bz2
# Source1-md5:	580c50403ed8f7e678ed04b3e0d712f3
Patch0:		%{name}-link.patch
Patch1:		%{name}-segfault.patch
URL:		http://sourceforge.net/projects/giflib/
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	netpbm-devel
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	sed
BuildRequires:	urt-devel
%{?with_x:BuildRequires:	xorg-lib-libX11-devel}
%ifarch %{x8664} ia64 ppc64 s390x sparc64
Provides:	libungif.so.4()(64bit)
%else
Provides:	libungif.so.4
%endif
Provides:	libungif
Obsoletes:	libungif
Obsoletes:	libungif4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GIF loading and saving shared library. This version uses LZW
compression (warning: patent/license issues in some countries).

%description -l es.UTF-8
Es una biblioteca compartida para carga y grabación de archivos GIF.

%description -l pl.UTF-8
Biblioteki dynamiczne do kompresowania i dekompresowania plików w
formacie GIF. Ta wersja przy zapisie używa konwersji LZW (uwaga: w
niektórych krajach powoduje to problemy związane z patentem i
koniecznością nabycia licencji).

%description -l pt_BR.UTF-8
Biblioteca compartilhada para carga e gravação de arquivos GIF.

%description -l ru.UTF-8
Библиотека для загрузки и сохранения GIF-файлов.

%description -l uk.UTF-8
Бібліотека для загрузки та збереження GIF-файлів.

%package devel
Summary:	GIF-manipulation library header files and documentation
Summary(es.UTF-8):	Archivos de inclusión, bibliotecas para biblioteca de manipulación de GIF
Summary(pl.UTF-8):	Pliki nagłówkowe oraz dokumentacja do formatu GIF
Summary(pt_BR.UTF-8):	Arquivos de inclusão, bibliotecas para biblioteca de manipulação de GIF
Summary(ru.UTF-8):	Хедеры, библиотеки и документация GIF-библиотеки
Summary(uk.UTF-8):	Хедери, бібліотеки та документація GIF-бібліотеки
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel
Provides:	libungif-devel
Obsoletes:	libungif-devel
Obsoletes:	libungif4-devel

%description devel
Libraries and headers needed for developing programs that use libgif
to load and save GIF image files.

%description devel -l es.UTF-8
Archivos de inclusión, bibliotecas y documentación para biblioteca de
manipulación de GIF.

%description devel -l pl.UTF-8
Biblioteki i pliki nagłówkowe niezbędne przy kompilacji programów
wykorzystujących libgif.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão, bibliotecas para biblioteca de manipulação de
GIF.

%description devel -l ru.UTF-8
Хедеры и библиотеки, необходимые для разработки программ, использующих
giflib для загрузки и сохранения изображений в формате GIF.

%description devel -l uk.UTF-8
Хедери та бібліотеки, необхідні для розробки програм, що
використовують giflib для загрузки та збереження зображень у форматі
GIF.

%package static
Summary:	GIF-manipulation static library
Summary(pl.UTF-8):	Biblioteki statyczne do obróbki plików GIF
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com libungif
Summary(ru.UTF-8):	Статические библиотеки GIF-библиотеки
Summary(uk.UTF-8):	Статичні бібліотеки GIF-бібліотеки
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	libungif-static
Obsoletes:	libungif-static

%description static
Static libraries needed for developing programs that use libgif to
load and save GIF image files.

%description static -l pl.UTF-8
Biblioteki statyczne do obróbki plików GIF.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com libgif.

%description static -l ru.UTF-8
Это отдельный пакет со статическими библиотеками, которые больше не
входят в libgif-devel.

%description static -l uk.UTF-8
Це окремий пакет зі статичними бібліотеками, що більше не входять до
складу libgif-devel.

%package progs
Summary:	Programs for converting and transforming GIF images
Summary(pl.UTF-8):	Programy do konwertowania plików w formacie GIF
Summary(ru.UTF-8):	Программы для конвертирования и обработки GIF-файлов
Summary(uk.UTF-8):	Програми для конвертування та обробки GIF-файлів
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}
Provides:	libungif-progs
Obsoletes:	libungif-progs

%description progs
This package contains various programs for manipulating GIF image
files.

%description progs -l pl.UTF-8
Ten pakiet zawiera różnorodne programy obsługujące pliki w formacie
GIF.

%description progs -l ru.UTF-8
Этот пакет содержит различные программы для обработки GIF-файлов.

%description progs -l uk.UTF-8
Цей пакет містить різноманітні програми для обробки GIF-файлів.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_x:--disable-x11}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT%{_libdir}
/sbin/ldconfig -n .
mv -f libgif.so.[!.] $(ls libgif.so.[!.] | sed s/libgif/libungif/)
ln -sf libgif.so.*.*.* $RPM_BUILD_ROOT%{_libdir}/libungif.so
ln -sf libgif.a $RPM_BUILD_ROOT%{_libdir}/libungif.a
ln -sf libgif.la $RPM_BUILD_ROOT%{_libdir}/libungif.la

install -d $RPM_BUILD_ROOT%{_mandir}
bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%attr(755,root,root) %{_libdir}/libungif.so.[!.]

%files devel
%defattr(644,root,root,755)
%doc doc/*.{txt,png} doc/{gif_lib,index,liberror}.html
%attr(755,root,root) %{_libdir}/libgif.so
%attr(755,root,root) %{_libdir}/libungif.so
%{_libdir}/libgif.la
%{_libdir}/libungif.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libgif.a
%{_libdir}/libungif.a

%files progs
%defattr(644,root,root,755)
%doc doc/gif2* doc/gif[a-z]* doc/*2gif*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: giflib.spec,v $
Revision 1.31  2012/01/28 17:24:45  arekm
- release 3

Revision 1.30  2009/06/17 15:09:56  hawk
- release 2

Revision 1.29  2009/04/08 14:42:15  lisu
- version up to 4.1.6
- patches updated
- -no_x11.patch is outdated
- x11 supprot disabling by --disable-x11
- proper URL

Revision 1.28  2008/11/07 13:03:04  pluto
- release 7 for rebuild w/o libxcb-xlib deps.

Revision 1.27  2008/11/04 22:13:44  sparky
- added no_x11 patch (fixes build without x)

Revision 1.26  2007/08/04 08:30:57  qboosh
- shellglob fix

Revision 1.25  2007/07/16 15:12:22  twittner
- better libungif.so.[^.] link creation
- including libungif.so.*.*.* is not necessary

Revision 1.24  2007/07/12 22:01:05  twittner
- added one more missing symlink which is not created by ldconfig
  (thnx to qboosh for pointing it and for his explanation)
- rel. 6

Revision 1.23  2007/07/12 21:41:57  twittner
- creating libungif symlinks and %files fixed
- rel. 5

Revision 1.22  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.20  2007/02/04 12:03:44  qboosh
- unified

Revision 1.19  2007/02/03 23:52:26  areq
- bcond_without  x

Revision 1.18  2007/01/09 13:46:45  glen
- add segfault patch; rel 4

Revision 1.17  2006/12/23 11:48:18  pluto
- release 3, rebuild with P: *.la.

Revision 1.16  2006/03/04 21:12:04  qboosh
- added link patch, modular xorg deps, release 2

Revision 1.15  2006/03/04 21:01:05  qboosh
- -devel R: XFree86-devel

Revision 1.14  2005/11/04 14:12:38  glen
- add CVE references

Revision 1.13  2005/10/21 09:39:10  qboosh
- updated to 4.1.4, removed obsolete egif-inithash patch
  [fixes CVE-2005-2974, CVE-2005-3350]

Revision 1.12  2005/05/11 14:32:23  qboosh
- updated 64-bit archs list

Revision 1.11  2004/07/25 11:09:48  qboosh
- updated URLs, updated to 4.1.3, removed obsolete fixes_from_libungif patch
- strict internal deps, fixed libungif.so.4 Provides on 64-bit archs

Revision 1.10  2003/10/25 18:17:13  qboosh
- added egid-inithash patch (one more SEGV fix, this one from perl-Imager site)
- release 4

Revision 1.9  2003/05/26 16:25:01  malekith
- massive attack: adding Source-md5

Revision 1.8  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.7  2003/05/25 05:47:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2002/12/02 11:06:18  ankry
- massive cleaning

Revision 1.5  2002/11/25 14:13:04  ankry
- massive attack: no need for 755 for *.la

Revision 1.4  2002/10/09 13:14:24  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.3  2002/08/30 22:02:44  qboosh
- added fixes from libungif 4.1.0b1+patches (fixed-from-libungif patch) -
  some SEGVs and mem leaks eliminated, gifinfo program added
- release 3

Revision 1.2  2002/08/17 21:00:28  qboosh
- more Obsoletes for libungif, release 2

Revision 1.1  2002/08/16 21:45:51  qboosh
- new(?): LZW-enabled giflib binary-compatible with libungif 4.1.0
- spec based on libungif.spec
